Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.draw
Class OdfHandleElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.draw.OdfHandleElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfHandle

    public abstract class OdfHandleElement

extends OdfElement

DOM implementation of OpenDocument element draw:handle.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfHandleElement(OdfFileDom aOwnerDoc)` Create the instance of OdfHandleElement

Method Summary
`OdfBoolean` | `getHandleMirrorHorizontal()` Get value of attribute draw:handle-mirror-horizontal.
`OdfBoolean` | `getHandleMirrorVertical()` Get value of attribute draw:handle-mirror-vertical.
`String` | `getHandlePolar()` Get value of attribute draw:handle-polar.
`String` | `getHandlePosition()` Get value of attribute draw:handle-position.
`String` | `getHandleRadiusRangeMaximum()` Get value of attribute draw:handle-radius-range-maximum.
`String` | `getHandleRadiusRangeMinimum()` Get value of attribute draw:handle-radius-range-minimum.
`String` | `getHandleRangeXMaximum()` Get value of attribute draw:handle-range-x-maximum.
`String` | `getHandleRangeXMinimum()` Get value of attribute draw:handle-range-x-minimum.
`String` | `getHandleRangeYMaximum()` Get value of attribute draw:handle-range-y-maximum.
`String` | `getHandleRangeYMinimum()` Get value of attribute draw:handle-range-y-minimum.
`OdfBoolean` | `getHandleSwitched()` Get value of attribute draw:handle-switched.
`OdfName` | `getOdfName()` Get the element name
`void` | `init(String handlePosition)` Initialization of the mandatory attributes of `OdfHandleElement`
`void` | `setHandleMirrorHorizontal(OdfBoolean isHandleMirrorHorizontal)` Set value of attribute draw:handle-mirror-horizontal.
`void` | `setHandleMirrorVertical(OdfBoolean isHandleMirrorVertical)` Set value of attribute draw:handle-mirror-vertical.
`void` | `setHandlePolar(String handlePolar)` Set value of attribute draw:handle-polar.
`void` | `setHandlePosition(String handlePosition)` Set value of attribute draw:handle-position.
`void` | `setHandleRadiusRangeMaximum(String handleRadiusRangeMaximum)` Set value of attribute draw:handle-radius-range-maximum.
`void` | `setHandleRadiusRangeMinimum(String handleRadiusRangeMinimum)` Set value of attribute draw:handle-radius-range-minimum.
`void` | `setHandleRangeXMaximum(String handleRangeXMaximum)` Set value of attribute draw:handle-range-x-maximum.
`void` | `setHandleRangeXMinimum(String handleRangeXMinimum)` Set value of attribute draw:handle-range-x-minimum.
`void` | `setHandleRangeYMaximum(String handleRangeYMaximum)` Set value of attribute draw:handle-range-y-maximum.
`void` | `setHandleRangeYMinimum(String handleRangeYMinimum)` Set value of attribute draw:handle-range-y-minimum.
`void` | `setHandleSwitched(OdfBoolean isHandleSwitched)` Set value of attribute draw:handle-switched.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfHandleElement

    public OdfHandleElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfHandleElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element draw:handle.

### init

    public void init(String handlePosition)

  Initialization of the mandatory attributes of `OdfHandleElement`

  Parameters:
    `handlePosition` - The mandatory attribute draw:handle-position"

### getHandleMirrorVertical

    public OdfBoolean getHandleMirrorVertical()

  Get value of attribute draw:handle-mirror-vertical.

  Returns:
    return the attribute which type is OdfBoolean

### setHandleMirrorVertical

    public void setHandleMirrorVertical(OdfBoolean isHandleMirrorVertical)

  Set value of attribute draw:handle-mirror-vertical.

  Parameters:
    `isHandleMirrorVertical` - the attribute's type is OdfBoolean

### getHandleMirrorHorizontal

    public OdfBoolean getHandleMirrorHorizontal()

  Get value of attribute draw:handle-mirror-horizontal.

  Returns:
    return the attribute which type is OdfBoolean

### setHandleMirrorHorizontal

    public void setHandleMirrorHorizontal(OdfBoolean isHandleMirrorHorizontal)

  Set value of attribute draw:handle-mirror-horizontal.

  Parameters:
    `isHandleMirrorHorizontal` - the attribute's type is OdfBoolean

### getHandleSwitched

    public OdfBoolean getHandleSwitched()

  Get value of attribute draw:handle-switched.

  Returns:
    return the attribute which type is OdfBoolean

### setHandleSwitched

    public void setHandleSwitched(OdfBoolean isHandleSwitched)

  Set value of attribute draw:handle-switched.

  Parameters:
    `isHandleSwitched` - the attribute's type is OdfBoolean

### getHandlePosition

    public String getHandlePosition()

  Get value of attribute draw:handle-position.

  Returns:
    return the attribute which type is String

### setHandlePosition

    public void setHandlePosition(String handlePosition)

  Set value of attribute draw:handle-position.

  Parameters:
    `handlePosition` - the attribute's type is String

### getHandleRangeXMinimum

    public String getHandleRangeXMinimum()

  Get value of attribute draw:handle-range-x-minimum.

  Returns:
    return the attribute which type is String

### setHandleRangeXMinimum

    public void setHandleRangeXMinimum(String handleRangeXMinimum)

  Set value of attribute draw:handle-range-x-minimum.

  Parameters:
    `handleRangeXMinimum` - the attribute's type is String

### getHandleRangeXMaximum

    public String getHandleRangeXMaximum()

  Get value of attribute draw:handle-range-x-maximum.

  Returns:
    return the attribute which type is String

### setHandleRangeXMaximum

    public void setHandleRangeXMaximum(String handleRangeXMaximum)

  Set value of attribute draw:handle-range-x-maximum.

  Parameters:
    `handleRangeXMaximum` - the attribute's type is String

### getHandleRangeYMinimum

    public String getHandleRangeYMinimum()

  Get value of attribute draw:handle-range-y-minimum.

  Returns:
    return the attribute which type is String

### setHandleRangeYMinimum

    public void setHandleRangeYMinimum(String handleRangeYMinimum)

  Set value of attribute draw:handle-range-y-minimum.

  Parameters:
    `handleRangeYMinimum` - the attribute's type is String

### getHandleRangeYMaximum

    public String getHandleRangeYMaximum()

  Get value of attribute draw:handle-range-y-maximum.

  Returns:
    return the attribute which type is String

### setHandleRangeYMaximum

    public void setHandleRangeYMaximum(String handleRangeYMaximum)

  Set value of attribute draw:handle-range-y-maximum.

  Parameters:
    `handleRangeYMaximum` - the attribute's type is String

### getHandlePolar

    public String getHandlePolar()

  Get value of attribute draw:handle-polar.

  Returns:
    return the attribute which type is String

### setHandlePolar

    public void setHandlePolar(String handlePolar)

  Set value of attribute draw:handle-polar.

  Parameters:
    `handlePolar` - the attribute's type is String

### getHandleRadiusRangeMinimum

    public String getHandleRadiusRangeMinimum()

  Get value of attribute draw:handle-radius-range-minimum.

  Returns:
    return the attribute which type is String

### setHandleRadiusRangeMinimum

    public void setHandleRadiusRangeMinimum(String handleRadiusRangeMinimum)

  Set value of attribute draw:handle-radius-range-minimum.

  Parameters:
    `handleRadiusRangeMinimum` - the attribute's type is String

### getHandleRadiusRangeMaximum

    public String getHandleRadiusRangeMaximum()

  Get value of attribute draw:handle-radius-range-maximum.

  Returns:
    return the attribute which type is String

### setHandleRadiusRangeMaximum

    public void setHandleRadiusRangeMaximum(String handleRadiusRangeMaximum)

  Set value of attribute draw:handle-radius-range-maximum.

  Parameters:
    `handleRadiusRangeMaximum` - the attribute's type is String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.